﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NotVisualComponent.Models;

namespace NotVisualComponent.Helpers
{
    public interface IContext : ICreator
    {
        void CreateTable(string[,] data);
        void CreateTableWithHeader();
        void CreateMultiHeader<T>(TableWithHeaderConfig<T> config);
        void LoadDataToTableWithMultiHeader(string[,] data, int rowHeight);
    }
}
