﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NotVisualComponent.Models
{
    public class ChartConfig : DocumentConfig
    {
        public string ChartTitle { get; set; } = string.Empty;
        public Location LegendLocation { get; set; }
        public Dictionary<string, List<(string Name, double Value)>>? Data { get; set; }

        public void CheckFields()
        {
            if (Data == null || Data.Count == 0)
                throw new ArgumentNullException("Data count is null");
        }
    }
}
